project(LuaModule)
find_package(OGRE REQUIRED COMPONENTS Bites Bullet Paging Terrain Overlay CONFIG)
find_package(flecs REQUIRED CONFIG)
find_package(Tracy REQUIRED CONFIG)

add_library(luamodule STATIC LuaData.cpp)
target_include_directories(luamodule PUBLIC .)
target_link_libraries(luamodule PUBLIC
	lua
        OgreMain
	flecs::flecs_static
        PRIVATE GameData Tracy::TracyClient
)
